Page MenuHomePhabricator

Coordinates shown wrongly in mobile app
Closed, ResolvedPublic

Description

Reported on dewiki:Vorlage Diskussion:Coordinate:

Coordinates like 51°21′9″N, 9°35′32″E or 51.2708 N, 9.5376 E are shown as 51.27089.5376 in the app.
This affects title and inline coordinates but not coordinates with custom text link (e.g. dewiki:Liste der Stolpersteine in Kassel).

Event Timeline

Thgoiter created this task.Mar 4 2015, 10:15 AM
Thgoiter raised the priority of this task from to Needs Triage.
Thgoiter updated the task description. (Show Details)
Thgoiter added a project: Mobile-Apps.
Thgoiter added a subscriber: Thgoiter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 10:15 AM
Thgoiter renamed this task from Coordinates shown wrong in mobile app to Coordinates shown wrongly in mobile app.Mar 4 2015, 10:16 AM
Thgoiter set Security to None.
Thgoiter updated the task description. (Show Details)Mar 4 2015, 2:44 PM

Might be related to T91481 somehow?

I'm wondering if this is really an app problem? Because I see the very same problem with the default browser on a Nokia N950 - MobileFrontend extension or template issue already? So T91481: Display coordinates in mobile version already happens for me at least on some articles. :)

  1. Go to https://de.m.wikipedia.org/wiki/Mexiko-Stadt on an Nokia N950 with its default browser.
  2. See the line 19.419444444444-99.1455555555562310 printed between heading and infobox template.
  3. Same for e.g. https://de.m.wikipedia.org/wiki/Havanna or https://de.wikipedia.org/wiki/Panama-Stadt but between infobox header and infobox map instead.

<span class="geo microformat noprint">
	<span class="latitude">19.419444444444</span>
	<span class="longitude">-99.145555555556</span>
	<span class="elevation">2310</span>
</span>
<span id="coordinates" class="coordinates plainlinks-print">
	<span title="Koordinatensystem WGS84">Koordinaten:</span> 
	<a class="external text" href="//tools.wmflabs.org/geohack/geohack.php?pagename=Mexiko-Stadt&amp;language=de&amp;params=19.419444444444_N_99.145555555556_W_region:MX-DIF_type:city(8851080)">
		<span title="Breitengrad">19°&#160;25′&#160;<abbr title="Nord">N</abbr></span>, 
		<span title="Längengrad">99°&#160;9′&#160;<abbr title="West">W</abbr></span>
	</a>
</span>

A subtemplate of de:Template:Coordinate was inserting garbage into the page. I have temporarily "fixed" it by hiding the garbage with inline CSS (style="display:none"). The proper fix needs to happen inside the template.

Can anyone confirm that the workaround works? I do not have access to the app.

Entlinkts edit in the Template on de.wiki did the trick. Coordinates are shown properly now: https://commons.wikimedia.org/wiki/File:Properly_displayed_coordinates_in_Android_App.png

Thanks. So IMHO the only potential bug here is that the app does apparently not load MediaWiki:Mobile.css. I don't know if this is intended or not and will therefore leave the task open.

thiemowmde closed this task as Resolved.Mar 23 2016, 3:48 PM
thiemowmde assigned this task to Entlinkt.
thiemowmde added a subscriber: thiemowmde.

I know the problem for years, since the same happens with the PDF export. Entlinkts fix is so obvious, it makes me feel stupid. ;-)